View .md

Mounts endpoints (Admin API)

9 FeatherPanel Admin API endpoints from admin/mounts.php: methods, paths, auth, permissions, rate limits, parameters and responses.

Last synced from FeatherPanel 15b94e9 on .

On this page

Defined in backend/app/routes/admin/mounts.php. Authentication used here: Admin. Read Authentication for how to send credentials and Rate limits and errors for the response envelope.

Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.

Endpoints

GET/api/admin/mounts

Auth: AdminPermission: admin.nodes.viewRoute name: admin-mountsController: MountsController::indexroute source

List mounts

curl -X GET "$PANEL_URL/api/admin/mounts" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

PUT/api/admin/mounts

Auth: AdminPermission: admin.nodes.editRoute name: admin-mounts-createController: MountsController::createroute source

Create mount

curl -X PUT "$PANEL_URL/api/admin/mounts" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Plugin events: featherpanel:admin:mounts:mount:created

GET/api/admin/mounts/{id}

Auth: AdminPermission: admin.nodes.viewRoute name: admin-mounts-showController: MountsController::showroute source

Get mount

ParameterInTypeRequiredDescription
idpath-yes
curl -X GET "$PANEL_URL/api/admin/mounts/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

PATCH/api/admin/mounts/{id}

Auth: AdminPermission: admin.nodes.editRoute name: admin-mounts-updateController: MountsController::updateroute source

Update mount

ParameterInTypeRequiredDescription
idpath-yes
curl -X PATCH "$PANEL_URL/api/admin/mounts/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Plugin events: featherpanel:admin:mounts:mount:updated

DELETE/api/admin/mounts/{id}

Auth: AdminPermission: admin.nodes.editRoute name: admin-mounts-deleteController: MountsController::deleteroute source

Delete mount

ParameterInTypeRequiredDescription
idpath-yes
curl -X DELETE "$PANEL_URL/api/admin/mounts/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Plugin events: featherpanel:admin:mounts:mount:deleted

PATCH/api/admin/mounts/{id}/nodes

Auth: AdminPermission: admin.nodes.editRoute name: admin-mounts-set-nodesController: MountsController::setNodesroute source
ParameterInTypeRequiredDescription
idpath-yes
curl -X PATCH "$PANEL_URL/api/admin/mounts/$ID/nodes" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

PATCH/api/admin/mounts/{id}/spells

Auth: AdminPermission: admin.nodes.editRoute name: admin-mounts-set-spellsController: MountsController::setSpellsroute source
ParameterInTypeRequiredDescription
idpath-yes
curl -X PATCH "$PANEL_URL/api/admin/mounts/$ID/spells" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

PATCH/api/admin/mounts/{id}/servers

Auth: AdminPermission: admin.nodes.editRoute name: admin-mounts-set-serversController: MountsController::setServersroute source
ParameterInTypeRequiredDescription
idpath-yes
curl -X PATCH "$PANEL_URL/api/admin/mounts/$ID/servers" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"